import {Entity, PrimaryGeneratedColumn, Column} from "typeorm";

@Entity()
export class Address {

    @PrimaryGeneratedColumn()
    id: number;

    @Column()
    street: string;

    @Column()
    number: string;

    @Column()
    city: string;

    @Column()
    plz: string;

    @Column()
    state: string;

    @Column()
    country: string;
}